Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class SsiFsize

    java.lang.Object
      |
      +--org.apache.catalina.util.ssi.SsiMediator
            |
            +--org.apache.catalina.util.ssi.SsiFsize

All Implemented Interfaces:
  SsiCommand

public final class SsiFsize
extends SsiMediator
implements SsiCommand

Return the size of a given file, subject of formatting.

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:15 $
Author:
  Bip Thelin

Field Summary

Fields inherited from class org.apache.catalina.util.ssi.SsiMediator
`contextPath, debug, isVirtualWebappRelative, origServletContext, out, path, relpath, req, res, serverVariables, servletContext, ssiCommands`

Constructor Summary
`SsiFsize()`

Method Summary
`java.lang.String` | `getStream(java.lang.String[] strParamType, java.lang.String[] strParam)` Figure out the length/size of a given file.
`boolean` | `isModified()` Returns `false`, this SsiCommands is never buffered.
`boolean` | `isPrintable()` Returns `true` this SsiCommand is always prnitable and should therefore be accsessed through `getStream()`
`void` | `process(java.lang.String[] strParamType, java.lang.String[] strParam)` Not used since this SsiCommand return a stream, use `getStream()` instead.

Methods inherited from class org.apache.catalina.util.ssi.SsiMediator
`flush, flushDate, getCGIPath, getCommand, getCommandPath, getError, getFilePath, getServerVariable, getVirtualPath, timefmt, timefmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsiFsize

    public SsiFsize()

Method Detail

### getStream

    public final java.lang.String getStream(java.lang.String[] strParamType,
                                            java.lang.String[] strParam)

  Figure out the length/size of a given file.

  Specified by:
    `getStream` in interface `SsiCommand`
  Parameters:
    `strParamType` - The parameter type
    `strParam` - The value, only "var" accepted
  Returns:
    The result

### process

    public final void process(java.lang.String[] strParamType,
                              java.lang.String[] strParam)

  Not used since this SsiCommand return a stream, use `getStream()` instead.

  Specified by:
    `process` in interface `SsiCommand`
  Parameters:
    `strParamType` - a value of type 'String[]'
    `strParam` - a value of type 'String[]'

### isPrintable

    public final boolean isPrintable()

  Returns `true` this SsiCommand is always prnitable and should therefore be accsessed through `getStream()`

  Specified by:
    `isPrintable` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

### isModified

    public final boolean isModified()

  Returns `false`, this SsiCommands is never buffered.

  Specified by:
    `isModified` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.